# Issuing Design

The Issuing Design resource represents the visual design of a physical card.

Designs define the artwork, fonts, and layout used when embossing and printing cards.

You can retrieve available designs and download their PDF templates.

### The Issuing Design object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the issuing design. |
| `name` | STRING | Name of the design. |
| `type` | STRING | Design type. Options: "card", "envelope". |
| `embosserIds` | LIST OF STRINGS | List of embosser ids that support this design. |
| `created` | STRING | Creation datetime. Example: "2022-01-01T00:00:00.000000+00:00". |
| `updated` | STRING | Last update datetime. Example: "2022-01-01T00:00:00.000000+00:00". |

### List Issuing Designs

`GET /v2/issuing-design`

Get a list of available issuing designs for your workspace.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `cursor` | OPTIONAL | String used to get the next batch of results. Our SDKs handle this for you. |
| `ids` | OPTIONAL | List of strings to get specific entities by ids. |

**Request**

```python
import starkinfra

designs = starkinfra.issuingdesign.query(limit=10)

for design in designs:
    print(design)
```

**Response**

```python
IssuingDesign(
    id=5715709195239424,
    name=Standard Blue,
    embosser_ids=['6724771005489152'],
    type=card,
    created=2022-01-01 00:00:00,
    updated=2022-01-01 00:00:00
)
```

### Get an Issuing Design

`GET /v2/issuing-design/:id`

Get a single issuing design by its id.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `id` | REQUIRED | Id of the issuing design entity. |

**Request**

```python
import starkinfra

design = starkinfra.issuingdesign.get("5715709195239424")

print(design)
```

**Response**

```python
IssuingDesign(
    id=5715709195239424,
    name=Standard Blue,
    embosser_ids=['6724771005489152'],
    type=card,
    created=2022-01-01 00:00:00,
    updated=2022-01-01 00:00:00
)
```

### Get an Issuing Design PDF

`GET /v2/issuing-design/:id/pdf`

Get the PDF file for a specific issuing design. This file can be used to preview the card layout.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `id` | REQUIRED | Id of the issuing design entity. |

**Request**

```python
import starkinfra

pdf = starkinfra.issuingdesign.pdf("5715709195239424")

with open("design.pdf", "wb") as f:
    f.write(pdf)
```

**Response**

```python
b'%PDF-1.4 ...' # Binary PDF content
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-design-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-design-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-design-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-design-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-design-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-design-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-design-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-design-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-design-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-design-curl.md)
